# ACE_POSIX_Asynch_Timer Class Reference

This class is posted to the completion port when a timer expires. When the <complete method=""> of this object is called, the <handler>'s <handle_timeout> method will be called. More...

`#include <POSIX_Proactor.h>`

Inheritance diagram for ACE_POSIX_Asynch_Timer:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Timer:

[legend]
List of all members.

## Protected Member Functions

| ACE_POSIX_Asynch_Timer (const ACE_Handler::Proxy_Ptr &handler_proxy, const void *act, const ACE_Time_Value &tv, ACE_HANDLE event=ACE_INVALID_HANDLE, int priority=0, int signal_number=ACE_SIGRTMIN)
| Constructor.
virtual | ~ACE_POSIX_Asynch_Timer (void)
| Destructor.
virtual void | complete (size_t bytes_transferred, int success, const void *completion_key, u_long error=0)
| This method calls the <handler>'s handle_timeout method.

## Protected Attributes

ACE_Time_Value | time_
| Time value requested by caller.

## Friends

class | ACE_POSIX_Proactor

## Detailed Description

This class is posted to the completion port when a timer expires. When the <complete method=""> of this object is called, the <handler>'s <handle_timeout> method will be called.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Timer::ACE_POSIX_Asynch_Timer | ( | const ACE_Handler::Proxy_Ptr & | handler_proxy,
|  | const void * | act,
|  | const ACE_Time_Value & | tv,
|  | ACE_HANDLE | event = `ACE_INVALID_HANDLE`,
|  | int | priority = `0`,
|  | int | signal_number = `ACE_SIGRTMIN`
| ) | `[protected]`

| Constructor.

virtual ACE_POSIX_Asynch_Timer::~ACE_POSIX_Asynch_Timer | ( | void |  | ) | `[inline, protected, virtual]`

| Destructor.

## Member Function Documentation

void ACE_POSIX_Asynch_Timer::complete | ( | size_t | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error = `0`
| ) | `[protected, virtual]`

| This method calls the <handler>'s handle_timeout method. Implements ACE_Asynch_Result_Impl.

## Friends And Related Function Documentation

friend class ACE_POSIX_Proactor`[friend]`

| The factory method for this class is with the POSIX_Proactor class.

## Member Data Documentation

ACE_Time_Value ACE_POSIX_Asynch_Timer::time_`[protected]`

| Time value requested by caller.

The documentation for this class was generated from the following files:

- POSIX_Proactor.h
- POSIX_Proactor.cpp